## org.eclipse.ocl.types
Interface OCLStandardLibrary<C>

All Known Implementing Classes:
  EcoreOCLStandardLibrary, OCLStandardLibraryImpl

    public interface OCLStandardLibrary<C>

A representation of the OCL Standard Library, which is the set of singleton instances of the OCL-defined metatypes, including the generic collection types (e.g., `Set(T)`).

See the `Environment` class for a description of the generic type parameters of this class.

Method Summary
`C` `getBag()` Obtains the generic instance of the `BagType` metatype, named `Bag(T)`.
`C` `getBoolean()` Obtains the instance of the `PrimitiveType` metatype, named `Boolean`.
`C` `getCollection()` Obtains the generic instance of the `CollectionType` metatype, named `Collection(T)`.
`C` `getInteger()` Obtains the instance of the `PrimitiveType` metatype, named `Integer`.
`C` `getInvalid()` Obtains the single instance of the `InvalidType` metatype, named `Invalid`.
`C` `getOclAny()` Obtains the single instance of the `AnyType` metatype, named `OclAny`.
`C` `getOclElement()` Obtains the generic instance of the `ElementType` metatype, named `OclElement`.
`C` `getOclExpression()` Obtains the instance of the `ElementType` metatype that represents the type of OCL expressions in the model, named `OclExpression`.
`Object` `getOclInvalid()` Obtains the single instance of the `Invalid` type, identified by the token `OclInvalid`.
`C` `getOclMessage()` Obtains the generic instance of the `MessageType` metatype, named `OclMessage`.
`C` `getOclType()` Obtains the generic instance of the `TypeType` metatype, named `OclType`.
`C` `getOclVoid()` Obtains the single instance of the `VoidType` metatype, named `OclVoid`.
`C` `getOrderedSet()` Obtains the generic instance of the `OrderedSetType` metatype, named `OrderedSet(T)`.
`C` `getReal()` Obtains the instance of the `PrimitiveType` metatype, named `Real`.
`C` `getSequence()` Obtains the generic instance of the `SequenceType` metatype, named `Sequence(T)`.
`C` `getSet()` Obtains the generic instance of the `SetType` metatype, named `Set(T)`.
`C` `getState()` Obtains the instance of the `ElementType` metatype that represents the type of states in the model, named `State`.
`C` `getString()` Obtains the instance of the `PrimitiveType` metatype, named `String`.
`C` `getT()` Obtains a generic instance of the `AnyType` metatype that represents the type parameter of generic types and operations, named `T`.
`C` `getT2()` Obtains a generic instance of the `AnyType` metatype that represents another type parameter of generic operations (particularly certain OCL `Collection` operations), named `T2`.
`C` `getUnlimitedNatural()` Obtains the instance of the `PrimitiveType` metatype, named `UnlimitedNatural`.

Method Detail

### getOclAny

    C getOclAny()

  Obtains the single instance of the `AnyType` metatype, named `OclAny`.

  Returns:
    the `OclAny` type (an instance of `AnyType`)

### getOclVoid

    C getOclVoid()

  Obtains the single instance of the `VoidType` metatype, named `OclVoid`.

  Returns:
    the `OclVoid` type (an instance of `VoidType`)

### getInvalid

    C getInvalid()

  Obtains the single instance of the `InvalidType` metatype, named `Invalid`.

  Returns:
    the `Invalid` type (an instance of `InvalidType`)

### getOclInvalid

    Object getOclInvalid()

  Obtains the single instance of the `Invalid` type, identified by the token `OclInvalid`.

  Returns:
    the `OclInvalid` instance (an instance of `Invalid`)

### getBoolean

    C getBoolean()

  Obtains the instance of the `PrimitiveType` metatype, named `Boolean`.

  Returns:
    the `Boolean` type (an instance of `PrimitiveType`)

### getString

    C getString()

  Obtains the instance of the `PrimitiveType` metatype, named `String`.

  Returns:
    the `String` type (an instance of `PrimitiveType`)

### getReal

    C getReal()

  Obtains the instance of the `PrimitiveType` metatype, named `Real`.

  Returns:
    the `Real` type (an instance of `PrimitiveType`)

### getInteger

    C getInteger()

  Obtains the instance of the `PrimitiveType` metatype, named `Integer`.

  Returns:
    the `Integer` type (an instance of `PrimitiveType`)

### getUnlimitedNatural

    C getUnlimitedNatural()

  Obtains the instance of the `PrimitiveType` metatype, named `UnlimitedNatural`.

  Returns:
    the `UnlimitedNatural` type (an instance of `PrimitiveType`)

### getOclType

    C getOclType()

  Obtains the generic instance of the `TypeType` metatype, named `OclType`.

  Returns:
    the `OclType` type (an instance of `TypeType`)

### getOclElement

    C getOclElement()

  Obtains the generic instance of the `ElementType` metatype, named `OclElement`.

  Returns:
    the `OclElement` type (an instance of `ElementType`)

### getOclMessage

    C getOclMessage()

  Obtains the generic instance of the `MessageType` metatype, named `OclMessage`.

  Returns:
    the `OclMessage` type (an instance of `MessageType`)

### getSet

    C getSet()

  Obtains the generic instance of the `SetType` metatype, named `Set(T)`.

  Returns:
    the `Set(T)` type (an instance of `SetType`)

### getOrderedSet

    C getOrderedSet()

  Obtains the generic instance of the `OrderedSetType` metatype, named `OrderedSet(T)`.

  Returns:
    the `OrderedSet(T)` type (an instance of `OrderedSetType`)

### getBag

    C getBag()

  Obtains the generic instance of the `BagType` metatype, named `Bag(T)`.

  Returns:
    the `Bag(T)` type (an instance of `BagType`)

### getSequence

    C getSequence()

  Obtains the generic instance of the `SequenceType` metatype, named `Sequence(T)`.

  Returns:
    the `Sequence(T)` type (an instance of `SequenceType`)

### getCollection

    C getCollection()

  Obtains the generic instance of the `CollectionType` metatype, named `Collection(T)`.

  Returns:
    the `Collection(T)` type (an instance of `CollectionType`)

### getState

    C getState()

  Obtains the instance of the `ElementType` metatype that represents the type of states in the model, named `State`.

  Returns:
    the `State` type (an instance of `ElementType`)

### getOclExpression

    C getOclExpression()

  Obtains the instance of the `ElementType` metatype that represents the type of OCL expressions in the model, named `OclExpression`.

  Returns:
    the `OclExpression` type (an instance of `ElementType`)

### getT

    C getT()

  Obtains a generic instance of the `AnyType` metatype that represents the type parameter of generic types and operations, named `T`.

  Returns:
    the `T` type parameter (an instance of `AnyType`)

### getT2

    C getT2()

  Obtains a generic instance of the `AnyType` metatype that represents another type parameter of generic operations (particularly certain OCL `Collection` operations), named `T2`.

  Returns:
    the `T2` type parameter (an instance of `AnyType`)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.